#include "Ultrasonic.h"
Ultrasonic ultrasonic(9, 8); 

int pinTrig = 9;
int pinEcho = 8;

long temps;
float distance;

void setup() {
    pinMode(pinTrig, OUTPUT);
    pinMode(pinEcho, INPUT);

    digitalWrite(pinTrig, LOW);

    Serial.begin(9600);
    pinMode(11, OUTPUT);
    pinMode(12, OUTPUT);
}

void loop() {
    digitalWrite(pinTrig, HIGH);
    delayMicroseconds(10);
    digitalWrite(pinTrig, LOW);

    temps = pulseIn(pinEcho, HIGH);

    if (temps > 25000){
        Serial.println("Out of range");
    }
    else{
        temps = temps / 2;
        distance = temps * 340 / 10000.0;
        Serial.print("Temps : ");
        Serial.print(temps);
        Serial.println(" µs");

        Serial.print("Distance : ");
        Serial.print(distance);
        Serial.println(" cm");

        int dist = ultrasonic.distanceRead(CM); 
        Serial.print("Ultrasonic Distance : ");
        Serial.print(dist);
        Serial.println(" cm");

        if (dist < 50) {
            digitalWrite(12, LOW);
            digitalWrite(11, HIGH);
        }
        if (dist > 50) {
            digitalWrite(12, HIGH);
            digitalWrite(11, LOW);
        }
    }
    delay(1000);
}
